searchNodes=[{"doc":"Base Module for the API Client. The API Documentation for Bexio can be found under https://docs.bexio.com . Fields or arguments with date time reference expect them in the time zone Europe/Zurich. Requirements: Tesla: the api client depends on Tesla. Every API call needs an instance of a Tesla.Client to be able to do the rest calls.any()","ref":"BexioApiClient.html","title":"BexioApiClient","type":"module"},{"doc":"Fetch a new access token for the given refresh token. Arguments: refresh_token -&gt; the refresh token we need the access key for client_id -&gt; the client id of our application that also got the refresh token client_secret -&gt; the client secret of our application Response }","ref":"BexioApiClient.html#access_token/4","title":"BexioApiClient.access_token/4","type":"function"},{"doc":"Create Tesla API Client. This must be given a token from https://office.bexio.com/admin/apiTokens#/ which will then be used as bearer token. The client can then be used everywhere where it's useful. It also allows an optional setup for retrying to allow to limit if needed. The defaults are listed below: Options: :delay - Initial Delay for Backoff (Default: 500) :max_retries - Maximal number of retries (Default: 10) :max_delay - Maximal delay between requests (Default: 4_000) :log_level - Log Level for Requests (Default: :info ) :debug - whether to include debug information (Default: false ) :adapter - Which adapter to use (Defalt: nil , recommended one with SSL support like Hackney)","ref":"BexioApiClient.html#new/2","title":"BexioApiClient.new/2","type":"function"},{"doc":"Bexio API for the accounting part of the API.","ref":"BexioApiClient.Accounting.html","title":"BexioApiClient.Accounting","type":"module"},{"doc":"Fetch a list of account groups.","ref":"BexioApiClient.Accounting.html#fetch_account_groups/2","title":"BexioApiClient.Accounting.fetch_account_groups/2","type":"function"},{"doc":"Fetch a list of accounts.","ref":"BexioApiClient.Accounting.html#fetch_accounts/2","title":"BexioApiClient.Accounting.fetch_accounts/2","type":"function"},{"doc":"Fetch a list of calendar years.","ref":"BexioApiClient.Accounting.html#fetch_calendar_years/2","title":"BexioApiClient.Accounting.fetch_calendar_years/2","type":"function"},{"doc":"Fetch a list of currencies.","ref":"BexioApiClient.Accounting.html#fetch_currencies/2","title":"BexioApiClient.Accounting.fetch_currencies/2","type":"function"},{"doc":"Fetch a list of currency exchange rates.","ref":"BexioApiClient.Accounting.html#fetch_exchange_rates/3","title":"BexioApiClient.Accounting.fetch_exchange_rates/3","type":"function"},{"doc":"Fetch a list of taxes. Arguments: date - all taxes which are active at the date given types - filter the types of tax (:sales_tax or :pre_tax)","ref":"BexioApiClient.Accounting.html#fetch_taxes/4","title":"BexioApiClient.Accounting.fetch_taxes/4","type":"function"},{"doc":"Search accounts via query. The following search fields are supported: account_no fibo_account_group_id (TODO: test this) name account_type","ref":"BexioApiClient.Accounting.html#search_accounts/3","title":"BexioApiClient.Accounting.search_accounts/3","type":"function"},{"doc":"Bexio Account Module.","ref":"BexioApiClient.Accounting.Account.html","title":"BexioApiClient.Accounting.Account","type":"module"},{"doc":"Bexio Account Fields: :id - automatic id given by bexio :account_no - No of the account :name - Name of the account :account_group_id - The id of the associated account group. References an account group object :account_type - the type of the account :tax_id - References a tax object :active? - Whether the account is active. IF the account is inactive, it can not be used for new bookings :locked? - Determines if the account is locked. Locked accounts can not be edited or deleted","ref":"BexioApiClient.Accounting.Account.html#t:t/0","title":"BexioApiClient.Accounting.Account.t/0","type":"type"},{"doc":"Bexio Account Group Module.","ref":"BexioApiClient.Accounting.AccountGroup.html","title":"BexioApiClient.Accounting.AccountGroup","type":"module"},{"doc":"Bexio Account Group Fields: :id - automatic id given by bexio :account_no - No of the account group :name - Name of the account :parent_fibu_account_group_id - The id of the parent account group, references an account group :active? - Whether the account group is active. If the account group is inactive, accounts in this account group can not be used for new bookings. :locked? - Determines if the account group is locked. Locked accounts can not be edited or deleted","ref":"BexioApiClient.Accounting.AccountGroup.html#t:t/0","title":"BexioApiClient.Accounting.AccountGroup.t/0","type":"type"},{"doc":"Bexio Calendar Year Module.","ref":"BexioApiClient.Accounting.CalendarYear.html","title":"BexioApiClient.Accounting.CalendarYear","type":"module"},{"doc":"Bexio Calendar Year Fields: :id - automatic id given by bexio :start - Start date of the calendar year :end - End date of the calendar year :vat_subject? - Determines if the calendar year is vat subjected or not :created_at - Creation date of the calendar year :updated_at - Last time when calendar year was updated :vat_accounting_method - VAT accounting method (effective or net_tax), null if not subjected to vat :vat_accounting_type - VAT accounting type (agreed or collected), null if not subjected to vat","ref":"BexioApiClient.Accounting.CalendarYear.html#t:t/0","title":"BexioApiClient.Accounting.CalendarYear.t/0","type":"type"},{"doc":"Bexio Currency Module.","ref":"BexioApiClient.Accounting.Currency.html","title":"BexioApiClient.Accounting.Currency","type":"module"},{"doc":"Rounds an amount to the given currency round factor","ref":"BexioApiClient.Accounting.Currency.html#round/2","title":"BexioApiClient.Accounting.Currency.round/2","type":"function"},{"doc":"Bexio Currency Fields: :id - automatic id given by bexio :name - Currency Name :round_factor - How to round the given currency","ref":"BexioApiClient.Accounting.Currency.html#t:t/0","title":"BexioApiClient.Accounting.Currency.t/0","type":"type"},{"doc":"Bexio Currency Exchange Rate Module.","ref":"BexioApiClient.Accounting.ExchangeRate.html","title":"BexioApiClient.Accounting.ExchangeRate","type":"module"},{"doc":"Bexio Currency Exchange Rate Fields: :factor - the exchange rate of the currency in comparison with the currency listed in the field :exchange_currency :exchange_currency - the reference currency for the exchange rate :id - id of the currency :name - name of the currency :round_factor - round factor of the currency","ref":"BexioApiClient.Accounting.ExchangeRate.html#t:t/0","title":"BexioApiClient.Accounting.ExchangeRate.t/0","type":"type"},{"doc":"Bexio Tax Module.","ref":"BexioApiClient.Accounting.Tax.html","title":"BexioApiClient.Accounting.Tax","type":"module"},{"doc":"Bexio Tax Fields: :id - automatic id given by bexio :uuid - the uuid of the tax :name - the internal name (use :display_name as the representation value) :code - the tax code, also used within :display_name :digit - digit which references the tax to the vat digit :type - the tax type :account_id - the id of the associated account, references an account object :value the tax percentage :net_tax_value - the net tax percentage (this field is only used, it the tax has the type net_tax ) start_year - the start year from which on the tax is valid. if set to nil every year before end_year :end_year - the end year until the tax is valid. if set to nil every year after start_year :active? - whether the tax is active :display_name - a human readable of the tax, including the code","ref":"BexioApiClient.Accounting.Tax.html#t:t/0","title":"BexioApiClient.Accounting.Tax.t/0","type":"type"},{"doc":"Bexio API for the contacts part of the API.","ref":"BexioApiClient.Contacts.html","title":"BexioApiClient.Contacts","type":"module"},{"doc":"This action fetches a single additional address","ref":"BexioApiClient.Contacts.html#fetch_additional_address/3","title":"BexioApiClient.Contacts.fetch_additional_address/3","type":"function"},{"doc":"Fetch a list of additional addresses.","ref":"BexioApiClient.Contacts.html#fetch_additional_addresses/3","title":"BexioApiClient.Contacts.fetch_additional_addresses/3","type":"function"},{"doc":"This action fetches a single contact","ref":"BexioApiClient.Contacts.html#fetch_contact/3","title":"BexioApiClient.Contacts.fetch_contact/3","type":"function"},{"doc":"This action fetches a single contact group","ref":"BexioApiClient.Contacts.html#fetch_contact_group/2","title":"BexioApiClient.Contacts.fetch_contact_group/2","type":"function"},{"doc":"Fetch a list of contacts groups.","ref":"BexioApiClient.Contacts.html#fetch_contact_groups/2","title":"BexioApiClient.Contacts.fetch_contact_groups/2","type":"function"},{"doc":"This action fetches a single contact relation","ref":"BexioApiClient.Contacts.html#fetch_contact_relation/2","title":"BexioApiClient.Contacts.fetch_contact_relation/2","type":"function"},{"doc":"Fetch a list of contacts relations.","ref":"BexioApiClient.Contacts.html#fetch_contact_relations/2","title":"BexioApiClient.Contacts.fetch_contact_relations/2","type":"function"},{"doc":"Fetch a list of contacts sectors.","ref":"BexioApiClient.Contacts.html#fetch_contact_sectors/2","title":"BexioApiClient.Contacts.fetch_contact_sectors/2","type":"function"},{"doc":"Fetch a list of contacts. Arguments: :opts - paging and ordering options :show_archived - Show archived elements only,","ref":"BexioApiClient.Contacts.html#fetch_contacts/3","title":"BexioApiClient.Contacts.fetch_contacts/3","type":"function"},{"doc":"This action fetches a single salutation","ref":"BexioApiClient.Contacts.html#fetch_salutation/2","title":"BexioApiClient.Contacts.fetch_salutation/2","type":"function"},{"doc":"Fetch a list of additional addresses.","ref":"BexioApiClient.Contacts.html#fetch_salutations/2","title":"BexioApiClient.Contacts.fetch_salutations/2","type":"function"},{"doc":"This action fetches a single title","ref":"BexioApiClient.Contacts.html#fetch_title/2","title":"BexioApiClient.Contacts.fetch_title/2","type":"function"},{"doc":"Fetch a list of titles.","ref":"BexioApiClient.Contacts.html#fetch_titles/2","title":"BexioApiClient.Contacts.fetch_titles/2","type":"function"},{"doc":"Search additional addresses via query. The following search fields are supported: name address postcode city country_id subject","ref":"BexioApiClient.Contacts.html#search_additional_addresses/4","title":"BexioApiClient.Contacts.search_additional_addresses/4","type":"function"},{"doc":"Search contact groups via query. The following search fields are supported: name","ref":"BexioApiClient.Contacts.html#search_contact_groups/3","title":"BexioApiClient.Contacts.search_contact_groups/3","type":"function"},{"doc":"Search contacts groups via query. The following search fields are supported: contact_id contact_sub_id updated_at","ref":"BexioApiClient.Contacts.html#search_contact_relations/3","title":"BexioApiClient.Contacts.search_contact_relations/3","type":"function"},{"doc":"Search contact sectors via query. The following search fields are supported: name","ref":"BexioApiClient.Contacts.html#search_contact_sectors/3","title":"BexioApiClient.Contacts.search_contact_sectors/3","type":"function"},{"doc":"Search contacts via query. The following search fields are supported: id name_1 name_2 nr address mail mail_second postcode city country_id contact_group_ids contact_type_id updated_at user_id phone_fixed phone_mobile","ref":"BexioApiClient.Contacts.html#search_contacts/4","title":"BexioApiClient.Contacts.search_contacts/4","type":"function"},{"doc":"Search salutations via query. The following search fields are supported: name","ref":"BexioApiClient.Contacts.html#search_salutations/3","title":"BexioApiClient.Contacts.search_salutations/3","type":"function"},{"doc":"Search title via query. The following search fields are supported: name","ref":"BexioApiClient.Contacts.html#search_titles/3","title":"BexioApiClient.Contacts.search_titles/3","type":"function"},{"doc":"Bexio Additional Address Module.","ref":"BexioApiClient.Contacts.AdditionalAddress.html","title":"BexioApiClient.Contacts.AdditionalAddress","type":"module"},{"doc":"Bexio Additional Address. Fields: :id - automatic id given by bexio :name - name :address - street and additional address information :postcode - postal code / zip :city - city :country_id - reference to a TODO: country object :subject - title for the address :description - full description of the address (internal)","ref":"BexioApiClient.Contacts.AdditionalAddress.html#t:t/0","title":"BexioApiClient.Contacts.AdditionalAddress.t/0","type":"type"},{"doc":"Bexio Contact Module.","ref":"BexioApiClient.Contacts.Contact.html","title":"BexioApiClient.Contacts.Contact","type":"module"},{"doc":"Bexio Contact (company or person). Fields: :id - automatic id given by bexio :nr - must be a number, can also be used as integer :contact_type - either :company or :person :name_1 - for :company the company name and for :person the last name :name_2 - for :company the company addition and for :person the first name :salutation_id - reference to a TODO: salutation object :salutation_form - ?? :title_id - reference to a TODO: title object :birthday - birthday ( :person ) or foundation date ( :company ) :address - street and additional address information :postcode - postal code / zip :city - city :country_id - reference to a TODO: country object :mail - email address :mail_second - secondary email address :phone_fixed - phone number (fixed) :phone_fixed_secondary - secondary phone number (fixed) :phone_mobile - phone number (mobile) :fax - number for this old fax devices out there :url - homepage url :skype_name - Skype Name :remarks - free text for remarks :language_id - reference to a TODO: language object :contact_group_ids - reference to multiple TODO: contact group objects :contact_branch_ids - reference to multiple TODO: contact sector objects :user_id - creator of the record, reference to a TODO: user object :owner_id - owner of the record, reference to a TODO: user object :updated_at - date time of the last update (zurich time zone)","ref":"BexioApiClient.Contacts.Contact.html#t:t/0","title":"BexioApiClient.Contacts.Contact.t/0","type":"type"},{"doc":"Bexio Contact Group Module.","ref":"BexioApiClient.Contacts.ContactGroup.html","title":"BexioApiClient.Contacts.ContactGroup","type":"module"},{"doc":"Bexio Contact Group Fields: :id - automatic id given by bexio :name - Name of the contact group","ref":"BexioApiClient.Contacts.ContactGroup.html#t:t/0","title":"BexioApiClient.Contacts.ContactGroup.t/0","type":"type"},{"doc":"Bexio Contact Relation Module.","ref":"BexioApiClient.Contacts.ContactRelation.html","title":"BexioApiClient.Contacts.ContactRelation","type":"module"},{"doc":"Bexio Contact Relation Fields: :id - automatic id given by bexio :contact_id - References a contact object :contact_sub_id - References a contact object :description - description of the relation :updated_at - date time of the last update (zurich time zone)","ref":"BexioApiClient.Contacts.ContactRelation.html#t:t/0","title":"BexioApiClient.Contacts.ContactRelation.t/0","type":"type"},{"doc":"Bexio Contact Sector Module.","ref":"BexioApiClient.Contacts.ContactSector.html","title":"BexioApiClient.Contacts.ContactSector","type":"module"},{"doc":"Bexio Contact Sector Fields: :id - automatic id given by bexio :name - Name of the contact group","ref":"BexioApiClient.Contacts.ContactSector.html#t:t/0","title":"BexioApiClient.Contacts.ContactSector.t/0","type":"type"},{"doc":"Bexio Salutation Module.","ref":"BexioApiClient.Contacts.Salutation.html","title":"BexioApiClient.Contacts.Salutation","type":"module"},{"doc":"Bexio Salutation Fields: :id - automatic id given by bexio :name - Name of the salutation","ref":"BexioApiClient.Contacts.Salutation.html#t:t/0","title":"BexioApiClient.Contacts.Salutation.t/0","type":"type"},{"doc":"Bexio Title Module.","ref":"BexioApiClient.Contacts.Title.html","title":"BexioApiClient.Contacts.Title","type":"module"},{"doc":"Bexio Title Fields: :id - automatic id given by bexio :name - Name of the title","ref":"BexioApiClient.Contacts.Title.html#t:t/0","title":"BexioApiClient.Contacts.Title.t/0","type":"type"},{"doc":"Bexio API for the files part of the API","ref":"BexioApiClient.Files.html","title":"BexioApiClient.Files","type":"module"},{"doc":"Download file (original content).","ref":"BexioApiClient.Files.html#download_file/2","title":"BexioApiClient.Files.download_file/2","type":"function"},{"doc":"Fetch single file.","ref":"BexioApiClient.Files.html#fetch_file/2","title":"BexioApiClient.Files.fetch_file/2","type":"function"},{"doc":"Fetch a list of files.","ref":"BexioApiClient.Files.html#fetch_files/2","title":"BexioApiClient.Files.fetch_files/2","type":"function"},{"doc":"Download file (original content).","ref":"BexioApiClient.Files.html#preview_file/2","title":"BexioApiClient.Files.preview_file/2","type":"function"},{"doc":"Search files via query. The following search fields are supported: id uuid created_at name extension size_in_bytes mime_type user_id archived? source_id","ref":"BexioApiClient.Files.html#search_files/3","title":"BexioApiClient.Files.search_files/3","type":"function"},{"doc":"Bexio File Module.","ref":"BexioApiClient.Files.File.html","title":"BexioApiClient.Files.File","type":"module"},{"doc":"Bexio File","ref":"BexioApiClient.Files.File.html#t:t/0","title":"BexioApiClient.Files.File.t/0","type":"type"},{"doc":"Paging part of the response","ref":"BexioApiClient.Global.Paging.html","title":"BexioApiClient.Global.Paging","type":"module"},{"doc":"","ref":"BexioApiClient.Global.Paging.html#t:t/0","title":"BexioApiClient.Global.Paging.t/0","type":"type"},{"doc":"Typespec and helpers for global usable arguments","ref":"BexioApiClient.GlobalArguments.html","title":"BexioApiClient.GlobalArguments","type":"module"},{"doc":"","ref":"BexioApiClient.GlobalArguments.html#opts_to_query/1","title":"BexioApiClient.GlobalArguments.opts_to_query/1","type":"function"},{"doc":"","ref":"BexioApiClient.GlobalArguments.html#t:offset_arg/0","title":"BexioApiClient.GlobalArguments.offset_arg/0","type":"type"},{"doc":"","ref":"BexioApiClient.GlobalArguments.html#t:offset_without_order_by_arg/0","title":"BexioApiClient.GlobalArguments.offset_without_order_by_arg/0","type":"type"},{"doc":"","ref":"BexioApiClient.GlobalArguments.html#t:paging_arg/0","title":"BexioApiClient.GlobalArguments.paging_arg/0","type":"type"},{"doc":"Bexio API for the items &amp; products part of the API","ref":"BexioApiClient.Items.html","title":"BexioApiClient.Items","type":"module"},{"doc":"Fetch single item.","ref":"BexioApiClient.Items.html#fetch_item/2","title":"BexioApiClient.Items.fetch_item/2","type":"function"},{"doc":"Fetch a list of items.","ref":"BexioApiClient.Items.html#fetch_items/2","title":"BexioApiClient.Items.fetch_items/2","type":"function"},{"doc":"Fetch a list of stock areas.","ref":"BexioApiClient.Items.html#fetch_stock_areas/2","title":"BexioApiClient.Items.fetch_stock_areas/2","type":"function"},{"doc":"Fetch a list of stock locations.","ref":"BexioApiClient.Items.html#fetch_stock_locations/2","title":"BexioApiClient.Items.fetch_stock_locations/2","type":"function"},{"doc":"Search items via query. The following search fields are supported: intern_name intern_code","ref":"BexioApiClient.Items.html#search_items/3","title":"BexioApiClient.Items.search_items/3","type":"function"},{"doc":"Search sock areas via query. The following search fields are supported: name stock_id","ref":"BexioApiClient.Items.html#search_stock_areas/3","title":"BexioApiClient.Items.search_stock_areas/3","type":"function"},{"doc":"Search sock locations via query. The following search fields are supported: name","ref":"BexioApiClient.Items.html#search_stock_locations/3","title":"BexioApiClient.Items.search_stock_locations/3","type":"function"},{"doc":"Bexio Items Module.","ref":"BexioApiClient.Items.Item.html","title":"BexioApiClient.Items.Item","type":"module"},{"doc":"Bexio Item Fields: :id - automatic id given by bexio :article_type - either :physical or :service stock_nr - please note that the stock number can only be set if no bookings for this product have been made","ref":"BexioApiClient.Items.Item.html#t:t/0","title":"BexioApiClient.Items.Item.t/0","type":"type"},{"doc":"Bexio Stock Area Module.","ref":"BexioApiClient.Items.StockArea.html","title":"BexioApiClient.Items.StockArea","type":"module"},{"doc":"Bexio Stock Area","ref":"BexioApiClient.Items.StockArea.html#t:t/0","title":"BexioApiClient.Items.StockArea.t/0","type":"type"},{"doc":"Bexio Stock Location Module.","ref":"BexioApiClient.Items.StockLocation.html","title":"BexioApiClient.Items.StockLocation","type":"module"},{"doc":"Bexio Stock Location","ref":"BexioApiClient.Items.StockLocation.html#t:t/0","title":"BexioApiClient.Items.StockLocation.t/0","type":"type"},{"doc":"Bexio API for the other endpoints.","ref":"BexioApiClient.Others.html","title":"BexioApiClient.Others","type":"module"},{"doc":"Fetch a single company profile","ref":"BexioApiClient.Others.html#fetch_company_profile/2","title":"BexioApiClient.Others.fetch_company_profile/2","type":"function"},{"doc":"Fetch a list of company profiles.","ref":"BexioApiClient.Others.html#fetch_company_profiles/1","title":"BexioApiClient.Others.fetch_company_profiles/1","type":"function"},{"doc":"Fetch a list of countries.","ref":"BexioApiClient.Others.html#fetch_countries/1","title":"BexioApiClient.Others.fetch_countries/1","type":"function"},{"doc":"Fetch a single country","ref":"BexioApiClient.Others.html#fetch_country/2","title":"BexioApiClient.Others.fetch_country/2","type":"function"},{"doc":"Fetch a list of languages.","ref":"BexioApiClient.Others.html#fetch_languages/1","title":"BexioApiClient.Others.fetch_languages/1","type":"function"},{"doc":"Search countries via query. The following search fields are supported: name name_short","ref":"BexioApiClient.Others.html#search_countries/3","title":"BexioApiClient.Others.search_countries/3","type":"function"},{"doc":"Search languages via query. The following search fields are supported: name iso_639_1","ref":"BexioApiClient.Others.html#search_languages/3","title":"BexioApiClient.Others.search_languages/3","type":"function"},{"doc":"Bexio Company Profile Module.","ref":"BexioApiClient.Others.CompanyProfile.html","title":"BexioApiClient.Others.CompanyProfile","type":"module"},{"doc":"Bexio Company Profile.","ref":"BexioApiClient.Others.CompanyProfile.html#t:t/0","title":"BexioApiClient.Others.CompanyProfile.t/0","type":"type"},{"doc":"Bexio Country Module.","ref":"BexioApiClient.Others.Country.html","title":"BexioApiClient.Others.Country","type":"module"},{"doc":"Bexio Country.","ref":"BexioApiClient.Others.Country.html#t:t/0","title":"BexioApiClient.Others.Country.t/0","type":"type"},{"doc":"Bexio Language Module.","ref":"BexioApiClient.Others.Language.html","title":"BexioApiClient.Others.Language","type":"module"},{"doc":"Bexio Language.","ref":"BexioApiClient.Others.Language.html#t:t/0","title":"BexioApiClient.Others.Language.t/0","type":"type"},{"doc":"Purchase Part of the API","ref":"BexioApiClient.Purchase.html","title":"BexioApiClient.Purchase","type":"module"},{"doc":"Endpoint for retrieving Bills Arguments: :client - client to execute the HTTP request with :limit - limit the number of results (default: 500, max: 2000) :page - current page :order - sorting order, example order=asc&amp;order=desc :sort - field to sort by, example sort=document_no :search_term - term for which application will look for (minimum 3 signs, maximum 255 signs), example search_term=term :fields - Items enum, fields for which search will be run (if no fields specified then searching will be done for all allowed fields) :status - filter for Bill 'status' (DRAFTS: [DRAFT], TODO: [BOOKED, PARTIALLY_CREATED, CREATED, PARTIALLY_SENT, SENT, PARTIALLY_DOWNLOADED, DOWNLOADED, PARTIALLY_PAID, PARTIALLY_FAILED, FAILED], PAID: [PAID], OVERDUE: [BOOKED, PARTIALLY_CREATED, CREATED, PARTIALLY_SENT, SENT, PARTIALLY_DOWNLOADED, DOWNLOADED, PARTIALLY_PAID, PARTIALLY_FAILED, FAILED]) and for 'onlyOverdue' (DRAFTS: [FALSE], TODOS: [FALSE], PAID: [FALSE], OVERDUE: [TRUE]). Choosing OVERDUE means that only Bills with 'due_date' before now will be shown","ref":"BexioApiClient.Purchase.html#fetch_bills/5","title":"BexioApiClient.Purchase.fetch_bills/5","type":"function"},{"doc":"","ref":"BexioApiClient.Purchase.html#t:bill_search_args/0","title":"BexioApiClient.Purchase.bill_search_args/0","type":"type"},{"doc":"Bill in purchase","ref":"BexioApiClient.Purchase.Bill.html","title":"BexioApiClient.Purchase.Bill","type":"module"},{"doc":"Bill in purchase. Fields: :vendor - Joined firstname_suffix and lastname_company based on supplier (contact) type (COMPANY or PRIVATE) :net - Net value of the bill. calculated based on line_items and discounts. :gross - Gross value of the bill. calculated based on line_items and discounts. :overdue - Indicates whether bill due_date has passed. for bill in status :draft or :paid is always false","ref":"BexioApiClient.Purchase.Bill.html#t:t/0","title":"BexioApiClient.Purchase.Bill.t/0","type":"type"},{"doc":"Bexio API for the sales order management part of the API.","ref":"BexioApiClient.SalesOrderManagement.html","title":"BexioApiClient.SalesOrderManagement","type":"module"},{"doc":"Create a comment","ref":"BexioApiClient.SalesOrderManagement.html#create_comment/4","title":"BexioApiClient.SalesOrderManagement.create_comment/4","type":"function"},{"doc":"This action fetches a single comment.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_comment/4","title":"BexioApiClient.SalesOrderManagement.fetch_comment/4","type":"function"},{"doc":"This action fetches a list of comments.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_comments/4","title":"BexioApiClient.SalesOrderManagement.fetch_comments/4","type":"function"},{"doc":"This action fetches a single default position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_default_position/4","title":"BexioApiClient.SalesOrderManagement.fetch_default_position/4","type":"function"},{"doc":"This action fetches a list of all default positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_default_positions/4","title":"BexioApiClient.SalesOrderManagement.fetch_default_positions/4","type":"function"},{"doc":"This action fetches a single discount position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_discount_position/4","title":"BexioApiClient.SalesOrderManagement.fetch_discount_position/4","type":"function"},{"doc":"This action fetches a list of all discount positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_discount_positions/4","title":"BexioApiClient.SalesOrderManagement.fetch_discount_positions/4","type":"function"},{"doc":"This action fetches a single item position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_item_position/4","title":"BexioApiClient.SalesOrderManagement.fetch_item_position/4","type":"function"},{"doc":"This action fetches a list of all item positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_item_positions/4","title":"BexioApiClient.SalesOrderManagement.fetch_item_positions/4","type":"function"},{"doc":"This action fetches a single order","ref":"BexioApiClient.SalesOrderManagement.html#fetch_order/2","title":"BexioApiClient.SalesOrderManagement.fetch_order/2","type":"function"},{"doc":"This action fetches a list of all orders.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_orders/2","title":"BexioApiClient.SalesOrderManagement.fetch_orders/2","type":"function"},{"doc":"This action fetches a single pagebreak position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_pagebreak_position/4","title":"BexioApiClient.SalesOrderManagement.fetch_pagebreak_position/4","type":"function"},{"doc":"This action fetches a list of all pagebreak positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_pagebreak_positions/4","title":"BexioApiClient.SalesOrderManagement.fetch_pagebreak_positions/4","type":"function"},{"doc":"This action fetches a single quote","ref":"BexioApiClient.SalesOrderManagement.html#fetch_quote/2","title":"BexioApiClient.SalesOrderManagement.fetch_quote/2","type":"function"},{"doc":"This action fetches a list of all quotes.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_quotes/2","title":"BexioApiClient.SalesOrderManagement.fetch_quotes/2","type":"function"},{"doc":"This action fetches a single subposition position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_subposition_position/4","title":"BexioApiClient.SalesOrderManagement.fetch_subposition_position/4","type":"function"},{"doc":"This action fetches a list of all subposition positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_subposition_positions/4","title":"BexioApiClient.SalesOrderManagement.fetch_subposition_positions/4","type":"function"},{"doc":"This action fetches a single subtotal position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_subtotal_position/4","title":"BexioApiClient.SalesOrderManagement.fetch_subtotal_position/4","type":"function"},{"doc":"This action fetches a list of all subtotal positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_subtotal_positions/4","title":"BexioApiClient.SalesOrderManagement.fetch_subtotal_positions/4","type":"function"},{"doc":"This action fetches a single text position for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_text_position/4","title":"BexioApiClient.SalesOrderManagement.fetch_text_position/4","type":"function"},{"doc":"This action fetches a list of all text positions for a document.","ref":"BexioApiClient.SalesOrderManagement.html#fetch_text_positions/4","title":"BexioApiClient.SalesOrderManagement.fetch_text_positions/4","type":"function"},{"doc":"Search orders via query. The following search fields are supported: id kb_item_status document_nr title contact_id contact_sub_id user_id currency_id total_gross total_net total is_valid_from updated_at","ref":"BexioApiClient.SalesOrderManagement.html#search_orders/3","title":"BexioApiClient.SalesOrderManagement.search_orders/3","type":"function"},{"doc":"Search quotes via query. The following search fields are supported: id kb_item_status document_nr title contact_id contact_sub_id user_id currency_id total_gross total_net total is_valid_from is_valid_until is_valid_to (?) updated_at","ref":"BexioApiClient.SalesOrderManagement.html#search_quotes/3","title":"BexioApiClient.SalesOrderManagement.search_quotes/3","type":"function"},{"doc":"Comment","ref":"BexioApiClient.SalesOrderManagement.Comment.html","title":"BexioApiClient.SalesOrderManagement.Comment","type":"module"},{"doc":"Comment Fields: :id - automatic id given by bexio :text - text :user_id - references a user object :user_email - email :user_name - user name :date - date and time of the comment :public? - if the comment is public viewable :image - base64 encoded image file content :image_path - path of the image","ref":"BexioApiClient.SalesOrderManagement.Comment.html#t:t/0","title":"BexioApiClient.SalesOrderManagement.Comment.t/0","type":"type"},{"doc":"Order","ref":"BexioApiClient.SalesOrderManagement.Order.html","title":"BexioApiClient.SalesOrderManagement.Order","type":"module"},{"doc":"Order Fields: :contact_id - references a contact object :contact_sub_id - references a contact object :user_id - references a user object :project_id - references a project object :language_id - references a language object :bank_account_id - references a bank account object :currency_id - references a currency object :payment_type_id - references a payment type object :mwst_is_net? - this value affects the total if the field mwst_type has been set to :include . false - taxes are included in the total, true - taxes will be added to total :kb_item_status is converted from kb_item_status_id rest field :api_reference - this field can only be read and edited by the api. it can be used to save references to other systems :template_slug - references a document template slug :taxs - map of percentage as key and absolute values as value :network_link - the network link of the order","ref":"BexioApiClient.SalesOrderManagement.Order.html#t:t/0","title":"BexioApiClient.SalesOrderManagement.Order.t/0","type":"type"},{"doc":"Default Position (KbPositionCustom)","ref":"BexioApiClient.SalesOrderManagement.PositionDefault.html","title":"BexioApiClient.SalesOrderManagement.PositionDefault","type":"module"},{"doc":"Default Position Fields: :id - automatic id given by bexio :text - text :amount - amount :account_id - References an account object :unit_id - References a unit object :unit_name - Unit Name :unit_price - Unit Price :discount_in_percent - Discount in Percentage :position_total - Position Total :tax_id - References a tax object (only active sales taxes can be used) :tax_value - Tax Value :pos - Position :optional? - is the position optional? :internal_pos - Internal position id `:parent_id - if exists or nil","ref":"BexioApiClient.SalesOrderManagement.PositionDefault.html#t:t/0","title":"BexioApiClient.SalesOrderManagement.PositionDefault.t/0","type":"type"},{"doc":"Discount Position (KbPositionDiscount)","ref":"BexioApiClient.SalesOrderManagement.PositionDiscount.html","title":"BexioApiClient.SalesOrderManagement.PositionDiscount","type":"module"},{"doc":"Discount Position Fields: :id - automatic id given by bexio :text - text :value - discount value :discount_total - discount total :percentual? - whether the discount is an amount or a percentage of the total amount","ref":"BexioApiClient.SalesOrderManagement.PositionDiscount.html#t:t/0","title":"BexioApiClient.SalesOrderManagement.PositionDiscount.t/0","type":"type"},{"doc":"Item Position (KbPositionCustom)","ref":"BexioApiClient.SalesOrderManagement.PositionItem.html","title":"BexioApiClient.SalesOrderManagement.PositionItem","type":"module"},{"doc":"Default Position Fields: :id - automatic id given by bexio :article_id - references an item object :text - text :amount - amount :account_id - References an account object :unit_id - References a unit object :unit_name - Unit Name :unit_price - Unit Price :discount_in_percent - Discount in Percentage :position_total - Position Total :tax_id - References a tax object (only active sales taxes can be used) :tax_value - Tax Value :pos - Position :optional? - is the position optional? :internal_pos - Internal position id `:parent_id - if exists or nil","ref":"BexioApiClient.SalesOrderManagement.PositionItem.html#t:t/0","title":"BexioApiClient.SalesOrderManagement.PositionItem.t/0","type":"type"},{"doc":"Pagebreak Position (KbPositionPagebreak)","ref":"BexioApiClient.SalesOrderManagement.PositionPagebreak.html","title":"BexioApiClient.SalesOrderManagement.PositionPagebreak","type":"module"},{"doc":"Pagebreak Position Fields: :id - automatic id given by bexio :internal_pos - internal position :optional? - if pagebreak is optional :parent_id - parent id","ref":"BexioApiClient.SalesOrderManagement.PositionPagebreak.html#t:t/0","title":"BexioApiClient.SalesOrderManagement.PositionPagebreak.t/0","type":"type"},{"doc":"Subposition Position (KbPositionSubposition)","ref":"BexioApiClient.SalesOrderManagement.PositionSubposition.html","title":"BexioApiClient.SalesOrderManagement.PositionSubposition","type":"module"},{"doc":"Subposition Position Fields: :id - automatic id given by bexio :text - text :pos - position :internal_pos - internal position :show_pos_nr``? - whether to show the position numbers * :optional? - is the position optional * :parent_id` - possible parent element","ref":"BexioApiClient.SalesOrderManagement.PositionSubposition.html#t:t/0","title":"BexioApiClient.SalesOrderManagement.PositionSubposition.t/0","type":"type"},{"doc":"Subtotal Position (KbPositionSubtotal)","ref":"BexioApiClient.SalesOrderManagement.PositionSubtotal.html","title":"BexioApiClient.SalesOrderManagement.PositionSubtotal","type":"module"},{"doc":"Subtotal Position Fields: :id - automatic id given by bexio :text - text for the subtotal :value - Decimal representation of the value :optional? - is the position optional? :internal_pos - Internal position id `:parent_id - if exists or nil","ref":"BexioApiClient.SalesOrderManagement.PositionSubtotal.html#t:t/0","title":"BexioApiClient.SalesOrderManagement.PositionSubtotal.t/0","type":"type"},{"doc":"Text Position (KbPositionText)","ref":"BexioApiClient.SalesOrderManagement.PositionText.html","title":"BexioApiClient.SalesOrderManagement.PositionText","type":"module"},{"doc":"Text Position Fields: :id - automatic id given by bexio :show_pos_nr - show position number :pos - position :optional? - is the position optional? :text - text for the subtotal :internal_pos - Internal position id `:parent_id - if exists or nil","ref":"BexioApiClient.SalesOrderManagement.PositionText.html#t:t/0","title":"BexioApiClient.SalesOrderManagement.PositionText.t/0","type":"type"},{"doc":"Quote","ref":"BexioApiClient.SalesOrderManagement.Quote.html","title":"BexioApiClient.SalesOrderManagement.Quote","type":"module"},{"doc":"Quote Fields: :contact_id - references a contact object :contact_sub_id - references a contact object :user_id - references a user object :project_id - references a project object :language_id - references a language object :bank_account_id - references a bank account object :currency_id - references a currency object :payment_type_id - references a payment type object :mwst_is_net? - this value affects the total if the field mwst_type has been set to :include . false - taxes are included in the total, true - taxes will be added to total :kb_item_status is converted from kb_item_status_id rest field :api_reference - this field can only be read and edited by the api. it can be used to save references to other systems :template_slug - references a document template slug :taxs - map of percentage as key and absolute values as value :network_link - the network link of the quote","ref":"BexioApiClient.SalesOrderManagement.Quote.html#t:t/0","title":"BexioApiClient.SalesOrderManagement.Quote.t/0","type":"type"},{"doc":"Some older endpoints implement search methods. Searching for these endpoint works by sending a POST request to the resource (e.g.: POST /contact/search or POST /country/search). The search parameters must be provided in the body of the POST request.","ref":"BexioApiClient.SearchCriteria.html","title":"BexioApiClient.SearchCriteria","type":"module"},{"doc":"Creates a = search criteria","ref":"BexioApiClient.SearchCriteria.html#equal/2","title":"BexioApiClient.SearchCriteria.equal/2","type":"function"},{"doc":"Creates a &gt;= search criteria","ref":"BexioApiClient.SearchCriteria.html#greater_equal/2","title":"BexioApiClient.SearchCriteria.greater_equal/2","type":"function"},{"doc":"Creates a &gt; search criteria","ref":"BexioApiClient.SearchCriteria.html#greater_than/2","title":"BexioApiClient.SearchCriteria.greater_than/2","type":"function"},{"doc":"Creates a &lt;= search criteria","ref":"BexioApiClient.SearchCriteria.html#less_equal/2","title":"BexioApiClient.SearchCriteria.less_equal/2","type":"function"},{"doc":"Creates a &lt; search criteria","ref":"BexioApiClient.SearchCriteria.html#less_than/2","title":"BexioApiClient.SearchCriteria.less_than/2","type":"function"},{"doc":"Creates a like search criteria","ref":"BexioApiClient.SearchCriteria.html#like/2","title":"BexioApiClient.SearchCriteria.like/2","type":"function"},{"doc":"Creates a is_null search criteria","ref":"BexioApiClient.SearchCriteria.html#nil?/1","title":"BexioApiClient.SearchCriteria.nil?/1","type":"function"},{"doc":"Creates a != search criteria","ref":"BexioApiClient.SearchCriteria.html#not_equal/2","title":"BexioApiClient.SearchCriteria.not_equal/2","type":"function"},{"doc":"Creates a not_like search criteria","ref":"BexioApiClient.SearchCriteria.html#not_like/2","title":"BexioApiClient.SearchCriteria.not_like/2","type":"function"},{"doc":"Creates a not_null search criteria","ref":"BexioApiClient.SearchCriteria.html#not_nil?/1","title":"BexioApiClient.SearchCriteria.not_nil?/1","type":"function"},{"doc":"Creates a not_in search criteria","ref":"BexioApiClient.SearchCriteria.html#not_part_of/2","title":"BexioApiClient.SearchCriteria.not_part_of/2","type":"function"},{"doc":"Creates a in search criteria","ref":"BexioApiClient.SearchCriteria.html#part_of/2","title":"BexioApiClient.SearchCriteria.part_of/2","type":"function"},{"doc":"One search criteria argument Fields: :name - The name of the parameter to look up :criteria - the criteria to fulfill :value - the value to search for","ref":"BexioApiClient.SearchCriteria.html#t:t/0","title":"BexioApiClient.SearchCriteria.t/0","type":"type"}]